from http import HTTPStatus

from aws_lambda_powertools.event_handler.exceptions import (
    ServiceError,
)


class ConflictError(ServiceError):
    def __init__(self, msg: str | dict):
        super().__init__(HTTPStatus.CONFLICT, msg)
